Skip to content

List envelopes

Request

Returns a paginated list of envelopes. You can filter by envelope status or search by title using optional query parameters.

Security
basicAuth
Query
offsetinteger

The index of the first envelope to retrieve.

Default:0
Example:offset=0
limitinteger, [ 1 .. 50 ]

The maximum number of envelopes to return. If more than 50 is requested, 10 will be returned instead.

Default:10
envelope_statusstring

Filter by a single envelope status. See Envelope status values for more info →

Enum:"processing""failed""draft""sent""signed""cancelled""expired""rejected""verify"
qstring

Case-insensitive keyword filter on the envelope title. Matches partial words. Null values return unfiltered results.

GET
/envelopes
curl -i -X GET \
  -u '<username>:<password>' \
  'https://api.signable.co.uk/v1/envelopes?offset=0&limit=10&envelope_status=processing&q=string'

Responses

A paginated list of envelopes.

Bodyapplication/json
httpintegerrequired

HTTP status code of the response.

Example:200
offsetintegerrequired

The index of the first envelope in the result set.

Example:0
limitintegerrequired

The number of envelopes returned in this response.

Example:10
total_envelopesstringrequired

The total number of envelopes matching the query.

Example:"3"
envelopesArray of objects(EnvelopeSignedSummary)required
Response
{ "http": 200, "offset": 0, "limit": 10, "total_envelopes": "3", "envelopes": [ {}, {}, {} ] }